#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <inttypes.h>

int task_bind( void * task, uint32_t binding );
int task_run( void * task );
uint32_t task_get_cycle_count( const void * task );

#ifdef __cplusplus
}
#endif

